// HighResolutionTime.h: interface for the HighResolutionTime class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HIGHRESOLUTIONTIME_H__7DDD9DB7_EF85_4DC4_AC85_A3E1C0D2A26E__INCLUDED_)
#define AFX_HIGHRESOLUTIONTIME_H__7DDD9DB7_EF85_4DC4_AC85_A3E1C0D2A26E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// C RunTime Header Files
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <tchar.h>

class HighResolutionTime  
{
public:
	long getTimeSeconds();
	long getTimeMilliSeconds();
	LARGE_INTEGER getTimeMicroSeconds();
    double getTimeSecsInternal();
	HighResolutionTime();
	virtual ~HighResolutionTime();
private:
	LARGE_INTEGER theWorkingLargeInteger;
	LARGE_INTEGER theFrequencyCount;
	LARGE_INTEGER getFrequencyCount();
};

int operator-(const LARGE_INTEGER& arg1, const LARGE_INTEGER& arg2);

#endif // !defined(AFX_HIGHRESOLUTIONTIME_H__7DDD9DB7_EF85_4DC4_AC85_A3E1C0D2A26E__INCLUDED_)
